<mat-toolbar color="primary">
    <mat-toolbar-row>
        <span>Cardápio</span>
    </mat-toolbar-row>
    <mat-toolbar-row>
        <mat-icon [matBadge]="quantidadeTotal" matBadgeColor="accent">shopping_cart</mat-icon>
        <span class="flex1"></span>
        <a [routerLink]="['/pedido']" mat-button>VER PEDIDO</a>
        <span class="flex1"></span>
        <span> R$ {{totalPrice | number:'1.2-2'}}</span>
    </mat-toolbar-row>
</mat-toolbar>

<mat-action-list>
    <ng-container *ngFor="let product of productList; let i=index">
        <h2 *ngIf="i === 0 ||product.categoria !== productList[i - 1].categoria">{{product.categoria}}</h2>
        <button matLine mat-list-item (click)="addToCart(product)">
            <a >{{product.descricao}}</a>
            <span class="flex1"></span>
            <a>R$ &nbsp;{{product.preco | number:'1.2-2'}}</a>
        </button>

    </ng-container>
    
</mat-action-list>